Subject: Re: [RFC PATCH] Support for big page sizes on 44x (Updated)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 11 Nov 2008 13:22:03 +1100

> Well, the main thing is the implementation of kmap and kmap_atomic.
> 
> They both basically assumes that all the reserved PTEs for kmap and
> kmap_atomic are in a single PTE page since it uses a simple addition
> (substraction for _atomic really but heh, that's about the same).
> 
> Note that PKMAP (kmap) and FIXMAP (kmap_atomic) can be in two different
> PTE pages. But it's important that the whole PKMAP is entirely contained
> within a PTE page. It doesn't have to -start- on a PTE page boundary
> though. 

Also note that if you end up with PKMAP and FIXMAP on two different PTE
pages, make sure they are both instanciated at boot time.

Ben.